Runtime

## org.eclipse.gmf.runtime.diagram.ui.dnd.parts
Class DiagramViewerDropAdapter

    java.lang.Object
      org.eclipse.jface.util.DelegatingDropAdapter
          org.eclipse.gef.dnd.DelegatingDropAdapter
              org.eclipse.gmf.runtime.diagram.ui.dnd.parts.DiagramViewerDropAdapter

All Implemented Interfaces:
  java.util.EventListener, DropTargetListener, org.eclipse.swt.internal.SWTEventListener

    public class DiagramViewerDropAdapter

extends DelegatingDropAdapter

This class extends the GEF drop target adapter. It delgates all the drop events to the `org.eclipse.gmf.runtime.common.ui.internal.dnd.drop.DelegatingDropTargetAdapter` If there are no drop target listeners registered with the common infrastructure, then the drop events are delegated to the parent adpater

See Also:
  `DelegatingDropTargetAdapter`

Constructor Summary
`DiagramViewerDropAdapter(org.eclipse.gmf.runtime.diagram.ui.parts.IDiagramWorkbenchPart workbenchPart)` Constructor

Method Summary
`void` `dragEnter(DropTargetEvent event)`
`void` `dragLeave(DropTargetEvent event)`
`void` `dragOperationChanged(DropTargetEvent event)`
`void` `dragOver(DropTargetEvent event)`
`void` `drop(DropTargetEvent event)`
`void` `dropAccept(DropTargetEvent event)`
`Transfer[]` `getTransfers()`
`protected void` `initialize(Control control)` Initializes the delegating drop adapter
`boolean` `isEmpty()`
`protected boolean` `isInitialized()` Returns the isInitialized.

Methods inherited from class org.eclipse.gef.dnd.DelegatingDropAdapter
`addDropTargetListener, getTransferTypes, removeDropTargetListener`

Methods inherited from class org.eclipse.jface.util.DelegatingDropAdapter
`addDropTargetListener, removeDropTargetListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramViewerDropAdapter

    public DiagramViewerDropAdapter(org.eclipse.gmf.runtime.diagram.ui.parts.IDiagramWorkbenchPart workbenchPart)

  Constructor

  Parameters:
    `workbenchPart` - the diagram workbench part

Method Detail

### getTransfers

    public Transfer[] getTransfers()

  Overrides:
    `getTransfers` in class `DelegatingDropAdapter`

### initialize

    protected final void initialize(Control control)

  Initializes the delegating drop adapter

  Parameters:
    `control` - the viewer's control

### dragEnter

    public void dragEnter(DropTargetEvent event)

  Specified by:
    `dragEnter` in interface `DropTargetListener`
  Overrides:
    `dragEnter` in class `DelegatingDropAdapter`

### dragLeave

    public void dragLeave(DropTargetEvent event)

  Specified by:
    `dragLeave` in interface `DropTargetListener`
  Overrides:
    `dragLeave` in class `DelegatingDropAdapter`

### dragOperationChanged

    public void dragOperationChanged(DropTargetEvent event)

  Specified by:
    `dragOperationChanged` in interface `DropTargetListener`
  Overrides:
    `dragOperationChanged` in class `DelegatingDropAdapter`

### dragOver

    public void dragOver(DropTargetEvent event)

  Specified by:
    `dragOver` in interface `DropTargetListener`
  Overrides:
    `dragOver` in class `DelegatingDropAdapter`

### drop

    public void drop(DropTargetEvent event)

  Specified by:
    `drop` in interface `DropTargetListener`
  Overrides:
    `drop` in class `DelegatingDropAdapter`

### dropAccept

    public void dropAccept(DropTargetEvent event)

  Specified by:
    `dropAccept` in interface `DropTargetListener`
  Overrides:
    `dropAccept` in class `DelegatingDropAdapter`

### isEmpty

    public boolean isEmpty()

  Overrides:
    `isEmpty` in class `DelegatingDropAdapter`

### isInitialized

    protected final boolean isInitialized()

  Returns the isInitialized.

  Returns:
    the isInitialized.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.